// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v4.23.4
// source: scenarioItem.proto

package proto

import (
	proto "gitlab.com/nikita.morozov/ms-shared/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_scenarioItem_proto protoreflect.FileDescriptor

var file_scenarioItem_proto_rawDesc = []byte{
	0x0a, 0x12, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x1a, 0x1b, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70,
	0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0f, 0x62, 0x6f, 0x74, 0x43, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x54, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x32, 0x82, 0x03, 0x0a,
	0x0c, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x3c, 0x0a,
	0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x12, 0x18, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e,
	0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x1a, 0x16, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e,
	0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x00, 0x12, 0x3c, 0x0a, 0x06, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x18, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x63,
	0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x1a,
	0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x12, 0x41, 0x0a, 0x0b, 0x42, 0x61, 0x74,
	0x63, 0x68, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x18, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73,
	0x2e, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x42, 0x61, 0x74,
	0x63, 0x68, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x00, 0x12, 0x3a, 0x0a, 0x06,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x16, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2e, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16,
	0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x42, 0x6f, 0x6f,
	0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x00, 0x12, 0x39, 0x0a, 0x03, 0x47, 0x65, 0x74, 0x12,
	0x16, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x49, 0x64,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e,
	0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x22, 0x00, 0x12, 0x3c, 0x0a, 0x04, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x16, 0x2e, 0x6e, 0x6d,
	0x62, 0x6f, 0x74, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x63, 0x65, 0x6e,
	0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x22, 0x00, 0x30,
	0x01, 0x42, 0x5c, 0x0a, 0x1c, 0x70, 0x72, 0x6f, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x62,
	0x6f, 0x74, 0x73, 0x2e, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x2d, 0x69, 0x74, 0x65,
	0x6d, 0x42, 0x11, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x74, 0x65, 0x6d, 0x50,
	0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x27, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x6e, 0x69, 0x6b, 0x69, 0x74, 0x61, 0x2e, 0x6d, 0x6f, 0x72, 0x6f, 0x7a, 0x6f,
	0x76, 0x2f, 0x62, 0x6f, 0x74, 0x73, 0x2d, 0x6d, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_scenarioItem_proto_goTypes = []interface{}{
	(*ScenarioItemModel)(nil), // 0: botMs.ScenarioItemModel
	(*ScenarioItemBatch)(nil), // 1: botMs.ScenarioItemBatch
	(*proto.IdRequest)(nil),   // 2: nmbot.types.IdRequest
	(*emptypb.Empty)(nil),     // 3: google.protobuf.Empty
	(*proto.BoolValue)(nil),   // 4: nmbot.types.BoolValue
}
var file_scenarioItem_proto_depIdxs = []int32{
	0, // 0: botMs.ScenarioItem.Create:input_type -> botMs.ScenarioItemModel
	0, // 1: botMs.ScenarioItem.Update:input_type -> botMs.ScenarioItemModel
	1, // 2: botMs.ScenarioItem.BatchUpdate:input_type -> botMs.ScenarioItemBatch
	2, // 3: botMs.ScenarioItem.Delete:input_type -> nmbot.types.IdRequest
	2, // 4: botMs.ScenarioItem.Get:input_type -> nmbot.types.IdRequest
	2, // 5: botMs.ScenarioItem.List:input_type -> nmbot.types.IdRequest
	2, // 6: botMs.ScenarioItem.Create:output_type -> nmbot.types.IdRequest
	3, // 7: botMs.ScenarioItem.Update:output_type -> google.protobuf.Empty
	3, // 8: botMs.ScenarioItem.BatchUpdate:output_type -> google.protobuf.Empty
	4, // 9: botMs.ScenarioItem.Delete:output_type -> nmbot.types.BoolValue
	0, // 10: botMs.ScenarioItem.Get:output_type -> botMs.ScenarioItemModel
	0, // 11: botMs.ScenarioItem.List:output_type -> botMs.ScenarioItemModel
	6, // [6:12] is the sub-list for method output_type
	0, // [0:6] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_scenarioItem_proto_init() }
func file_scenarioItem_proto_init() {
	if File_scenarioItem_proto != nil {
		return
	}
	file_botCommon_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_scenarioItem_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_scenarioItem_proto_goTypes,
		DependencyIndexes: file_scenarioItem_proto_depIdxs,
	}.Build()
	File_scenarioItem_proto = out.File
	file_scenarioItem_proto_rawDesc = nil
	file_scenarioItem_proto_goTypes = nil
	file_scenarioItem_proto_depIdxs = nil
}
